Blame astyle.sh

Packit 345191
#!/bin/bash
Packit Service 7f3b24
# SPDX-License-Identifier: BSD-2-Clause
Packit Service 7f3b24
# Copyright (C) 2018 - 2020 Intel Corporation.
Packit 345191
Packit 345191
ASTYLE_MIN_VER="3.1"
Packit 345191
ASTYLE_OPT="--style=linux --indent=spaces=4 -S -r --max-continuation-indent=80 "
Packit 345191
ASTYLE_OPT+="--max-code-length=80 --break-after-logical --indent-namespaces -z2 "
Packit 345191
ASTYLE_OPT+="--align-pointer=name"
Packit 345191
if ! ASTYLE=$(which astyle)
Packit 345191
then
Packit 345191
    echo "Package astyle was not found. Unable to check source files format policy." >&2
Packit 345191
    exit 1
Packit 345191
fi
Packit 345191
ASTYLE_VER=$(astyle --version 2>&1 | awk '{print $NF}')
Packit 345191
if (( $(echo "$ASTYLE_VER < $ASTYLE_MIN_VER" | bc -l) ));
Packit 345191
then
Packit 345191
    echo "Minimal required version of astyle is $ASTYLE_MIN_VER. Detected version is $ASTYLE_VER" >&2
Packit 345191
    echo "Unable to check source files format policy." >&2
Packit 345191
    exit 1
Packit 345191
fi
Packit 345191
$ASTYLE $ASTYLE_OPT ./*.c,*.cpp,*.h,*.hpp --exclude=jemalloc > astyle.out
Packit 345191
if TEST=$(cat astyle.out | grep -c Formatted)
Packit 345191
then
Packit 345191
    cat astyle.out
Packit 345191
    git --no-pager diff
Packit 345191
    echo "Please fix style issues as shown above"
Packit 345191
    exit 1
Packit 345191
else
Packit 345191
    echo "Source code is compliant with format policy. No style issues were found."
Packit 345191
    exit 0
Packit 345191
fi